# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, lib, inputs, ... }:

{
  imports =
    [ # Include the results of the hardware scan.
      ../types/server.nix
    ];
  config = lib.mkMerge [
    {
      networking = {
        interfaces.br0.ipv4.addresses = [ { address = "172.16.1.252"; prefixLength = 12; } ];
	bridges.br0 = { interfaces = ["enp0s31f6"]; };
	bridges.private0 = { interfaces = ["enp4s0"]; };
	bridges.private1 = { interfaces = ["enp5s0"]; };
	bridges.private2 = { interfaces = ["enp6s0"]; };
	bridges.dmz0 = { interfaces = ["enp7s0"]; };
      };
    }
  ];
}
